Tab completion should show list of possible matches
Description

The current tab completion approach (tab cycles through one nick at a time) is not easily discoverable nor very efficient for the user.
| didn't know it even existed until someone told me. | thought it just completed the first match.

When on a channel with a large number of users, tab completion is often the way | discover if someone is currently connected. With
the current design, | have to tab through to where they nick I'm looking for would fall alphabetically to know.

It would be much clearer for the user if when there was a tab completion with multiple possibilities a list would pop up that the user
could tab through. Bonus points for nicks that were recently speaking in the channel to come first.

For reference, this is the way Konversation works by default and | find it much more intuitive to use and more easily discoverable for
the new user.

Related issues:

Related to Quassel IRC - Feature #65: Sort nicklist (and tabcomplete) by most... Resolved

Related to Quassel IRC - Feature #386: Expand input box when multiple lines a... Rejected

Related to Quassel IRC - Feature #213: Add a multiline write line with a toog... Resolved

Related to Quassel IRC - Feature #430: Tab completion for channels Resolved

Has duplicate Quassel IRC - Bug #470: Tab-Complete Feature Request Rejected 01/07/2009
History

#1 - 12/19/2008 02:00 PM - Sputnick

Think that could be handy; will see what kind of widget makes sense there. Also this could go together with MRU-based nick completion (which you
mentioned as bonus feature), BR #65. And if we feel adventurous, we might tackle #209, #213 and #386 as well in that context...

#2 - 02/08/2009 11:17 AM - Sputnick

- Status changed from New to Assigned
- Assignee set to Sputnick

- Priority changed from High to Normal

- Target version set to 0.5.0
#3 - 05/27/2009 03:32 PM - valuial
Would it be possible to add:
® bash like Nick completion (as an option) i.e. complete as far as possible for all solutions, then echo possible completions to the current buffer?
e completion of filesystem (folders filees), when the "word" starts with a /, instead of nicks?
For example:
/e<tab>
/etc/ port<tab>

/etc/portage/ pa<tab>

/etc/portage/packages (+list possible files/folders in bash completion style or whatever style the user chose)
https://wiki.quassel-irc.org/issues/65
https://wiki.quassel-irc.org/issues/209
https://wiki.quassel-irc.org/issues/213
https://wiki.quassel-irc.org/issues/386

#4 - 06/08/2009 03:43 PM - Ycros

I don't like the idea of bash-style completion for nicknames. | much prefer the irssi way of tab completion where it simply cycles through MRU nicks.
Displaying possible matches is fine by me, | don't really care if they're displayed or not.

| find it really useful, when holding a conversation in a large channel in the middle of other conversations to be able to just type one or two letters and
let MRU take care of it, first go. | wouldn't like to wade through several letter-tab-letter-tab-letter cycles for each of my messages.

#5 - 09/11/2009 01:06 AM - Sputnick
- Target version deleted (0.5.0)

#6 - 03/01/2012 09:03 PM - rikai

The way it currently works is the default way used in most popular irc clients and is the expected behavior.

If alternative methods such as those outlined above are going to be added, i suggest making it a choice in the configuration and defaulting to the
current functionality.
